using System;

internal sealed class Delegate396 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate396 delegate396_1)
	{
		return delegate396_1(object_0);
	}

	public extern Delegate396(object object_0, IntPtr intptr_0);

	static Delegate396()
	{
		Class10.smethod_13(typeof(Delegate396).TypeHandle);
	}

	internal static Delegate396 delegate396_0;
}
